Part Prism/es: Difference between revisions

From FreeCAD Documentation
(Created page with "Las propiedades del Prisma pueden ser editadas posteriormente, bien en el Editor de propiedades o bien pinchando sobre el prisma con doble clic con el r...")
(Updating to match new version of source page)
(12 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>


<div class="mw-translate-fuzzy">
{{Docnav/es
{{Docnav/es
|[[Part_Ellipsoid/es|Elipsoide]]
|[[Part_Ellipsoid/es|Elipsoide]]
|[[Part_Wedge/es|Cuña]]
|[[Part_Wedge/es|Cuña]]
|[[Part_Module/es|Part]]
|[[Part_Workbench/es|Part]]
|IconL=Part_Ellipsoid.svg
|IconL=Part_Ellipsoid.svg
|IconR=Part_Wedge.svg
|IconR=Part_Wedge.svg
|IconC=Workbench_Part.svg
|IconC=Workbench_Part.svg
}}
}}
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand/es
{{GuiCommand/es
|Name=Part Prism
|Name=Part Prism
|Name/es=Part Prisma
|Name/es=Part Prisma
|MenuLocation=Pieza → [[Part_Primitives/es|Crear primitivas]] → Prisma
|MenuLocation=Pieza → [[Part_Primitives/es|Crear primitivas]] → Prisma
|Workbenches=[[Part_Module/es|Part]]
|Workbenches=[[Part_Workbench/es|Part]]
|Version=0.14
|Version=0.14
|SeeAlso=[[Part_Primitives/es|Part Primitivas]], [[Part_Box/es|Part Cubo]]
|SeeAlso=[[Part_Primitives/es|Part Primitivas]], [[Part_Box/es|Part Cubo]]
}}
}}
</div>


== Descripción ==
== Descripción ==


<div class="mw-translate-fuzzy">
Un Prisma de Part es un sólido definido por el corte transversal de un polígono regular y una altura.
Un Prisma de Part es un sólido definido por el corte transversal de un polígono regular y una altura.
</div>


[[Image:Part_Prism_Example.png|400px]]
==Uso==


<div class="mw-translate-fuzzy">
# Abrir el banco de trabajo {{Button|[[Image:Workbench_Part.svg|16px]] [[Part_Module/es|Part]]}} .
==Uso==
# Presionar el botón {{Button|[[Image:Part_Primitives.svg|24px]] [[Part_Primitives/es|Primitivas]]}} , o usar el menú superior {{MenuCommand|Pieza → [[Part_Primitives/es|Crear primitivas]] → Prisma}} .
</div>
# Seleccionar '''Prisma''' en la ventana de diálogo e introducir los parámetros.


See [[Part_Primitives#Usage|Part Primitives]].
Las propiedades del Prisma pueden ser editadas posteriormente, bien en el [[Property_editor/es|Editor de propiedades]] o bien pinchando sobre el prisma con doble clic con el ratón en el [[Tree_view/es|Árbol de dependencias]].


== Properties ==
== Example ==


[[Image:Part_Prism_Scripting_Example.png|thumb|Part Prism from the scripting example]]
* {{PropertyData|Polygon:}} The number of edges for the polygon that forms the base and top plane of the prism.
* {{PropertyData|Circumradius :}} The distance from the center of the polygon to the prism edges.
* {{PropertyData|Height:}} The height is the distance in the z-axis.
* {{PropertyData|First Angle}}: Angle in first direction. {{Version|0.19}}
* {{PropertyData|Second Angle}}: Angle in second direction. {{Version|0.19}}


A Part Prism object created with the [[#Scripting|scripting example]] below is shown here.


== Propiedades ==
{{Docnav

|[[Part_Ellipsoid|Ellipsoid]]
See also: [[Property_editor|Property editor]].
|[[Part_Wedge|Wedge]]

|[[Part_Module|Part]]
A Part Prism object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Prism}}

<div class="mw-translate-fuzzy">
* {{PropertyData/es|Polígono:}} El número de aristas que forman las caras del polígono base y superior del prisma.
* {{PropertyData/es|Circunradio :}} Radio de la circunferencia en la que está inscrito el corte transversal del polígono que forma el prisma.
* {{PropertyData/es|Altura:}} Altura del Prisma.
* {{PropertyData/es|Primer Ángulo}}: Ángulo de la primera dirección. {{Version/es|0.19}}
* {{PropertyData/es|Segundo Ángulo}}: Ángulo de la segunda dirección. {{Version/es|0.19}}
</div>

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Prism can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "myPrism")
}}

* Where {{Incode|"myPrism"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

prism = doc.addObject("Part::Prism", "myPrism")
prism.Polygon = 5
prism.Circumradius = 10
prism.Height = 50
prism.FirstAngle = 22.5
prism.SecondAngle = 45
prism.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 75, 30))

doc.recompute()
}}


<div class="mw-translate-fuzzy">
{{Docnav/es
|[[Part_Ellipsoid/es|Elipsoide]]
|[[Part_Wedge/es|Cuña]]
|[[Part_Workbench/es|Part]]
|IconL=Part_Ellipsoid.svg
|IconL=Part_Ellipsoid.svg
|IconR=Part_Wedge.svg
|IconR=Part_Wedge.svg
|IconC=Workbench_Part.svg
|IconC=Workbench_Part.svg
}}
}}
</div>


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 10:09, 3 March 2022

Part Prisma

Ubicación en el Menú
Pieza → Crear primitivas → Prisma
Entornos de trabajo
Part
Atajo de teclado por defecto
Ninguno
Introducido en versión
0.14
Ver también
Part Primitivas, Part Cubo

Descripción

Un Prisma de Part es un sólido definido por el corte transversal de un polígono regular y una altura.

Uso

See Part Primitives.

Example

Part Prism from the scripting example

A Part Prism object created with the scripting example below is shown here.

Propiedades

See also: Property editor.

A Part Prism object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Prism

  • DATOSPolígono: El número de aristas que forman las caras del polígono base y superior del prisma.
  • DATOSCircunradio : Radio de la circunferencia en la que está inscrito el corte transversal del polígono que forma el prisma.
  • DATOSAltura: Altura del Prisma.
  • DATOSPrimer Ángulo: Ángulo de la primera dirección. introducido en la versión 0.19
  • DATOSSegundo Ángulo: Ángulo de la segunda dirección. introducido en la versión 0.19

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Prism can be created with the addObject() method of the document:

prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "myPrism")
  • Where "myPrism" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

prism = doc.addObject("Part::Prism", "myPrism")
prism.Polygon = 5
prism.Circumradius = 10
prism.Height = 50
prism.FirstAngle = 22.5
prism.SecondAngle = 45
prism.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 75, 30))

doc.recompute()